Bug 1975949 (CVE-2021-3659) - CVE-2021-3659 kernel: NULL pointer dereference in llsec_key_alloc() in net/mac802154/llsec.c
Summary: CVE-2021-3659 kernel: NULL pointer dereference in llsec_key_alloc() in net/ma...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3659
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1984560 1984569 1984570 1984571 1984572 1984573 1984574
Blocks: 1973268
TreeView+ depends on / blocked
 
Reported: 2021-06-24 19:33 UTC by Alex
Modified: 2021-11-09 21:51 UTC (History)
44 users (show)

Fixed In Version: Kernel 5.12
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the Linux kernel’s IEEE 802.15.4 wireless networking subsystem in the way the user closes the LR-WPAN connection. This flaw allows a local user to crash the system. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-11-09 21:51:39 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4140 0 None None None 2021-11-09 17:23:50 UTC
Red Hat Product Errata RHSA-2021:4356 0 None None None 2021-11-09 18:27:36 UTC

Description Alex 2021-06-24 19:33:42 UTC
The bug is inside net/mac802154/llsec.c (IEEE 802.15.4 support).
If fails allocating of the cipher handle for AEAD during initialization of LR-WPAN, then NULL pointer dereference could happen.

Reference:
https://syzkaller.appspot.com/bug?extid=12cf5fbfdeba210a89dd

Upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=1165affd484889d4986cf3b724318935a0b120d8

The previously used CVE for this one was CVE-2021-33033 (because this issue already incorrectly referenced  before from that older CVE).

Comment 1 Alex 2021-07-21 15:42:21 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1984560]

Comment 6 Justin M. Forbes 2021-07-26 16:38:47 UTC
This was fixed for Fedora with the 5.11.14 stable kernel updates.

Comment 11 errata-xmlrpc 2021-11-09 17:23:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4140 https://access.redhat.com/errata/RHSA-2021:4140

Comment 12 errata-xmlrpc 2021-11-09 18:27:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4356 https://access.redhat.com/errata/RHSA-2021:4356

Comment 13 Product Security DevOps Team 2021-11-09 21:51:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3659


Note You need to log in before you can comment on or make changes to this bug.